package com.nokia.dao;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.nokia.pojo.Role;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.List;

@SpringBootTest
public class RoleEntityDaoTest {
    @Autowired
    private RoleDao roleDao;

    @Test
    public void test() {
        Role roleEntity = new Role();
        roleEntity.setRoleName("管理员");
        roleDao.insert(roleEntity);
        List<Role> roleEntities = roleDao.selectList(Wrappers.query());
        System.out.println(roleEntities);
    }
}